//--------------------------------------------------------------------------------------------------
//
// Title       : wrRegSel
// Design      : mips2000
// Author      : Steven
// Company     : UW CSE
//
//-------------------------------------------------------------------------------------------------
//
// File        : increment.v
// Generated   : Sat Dec  3 22:44:36 2005
// From        : interface description file
// By          : Itf2Vhdl ver. 1.20
//
//-------------------------------------------------------------------------------------------------
//
// Description : 
//
//-------------------------------------------------------------------------------------------------
`timescale 1 ns / 1 ps

//{{ Section below this comment is automatically maintained
//   and may be overwritten
//{module {increment}}
module wrRegSel ( Next,Mem,ALU, Out,wrDataSel );

input wire [31:0] Next,Mem,ALU ;
input wire [1:0] wrDataSel;
output reg [31:0] Out ;


//}} End of automatically maintained section

// -- Enter your statements here -- //
// wrDataSel
//   00: Out = ALU
//   01: Out = MEM
//   1X: Out = PC + 1
always@(wrDataSel or Next or Mem or ALU) begin
	case(wrDataSel)
		2'b00: Out = ALU;
		2'b01: Out = Mem;
		2'b10: Out = Next;
		2'b11: Out = Next;
	endcase
end

endmodule
